orchestrator
2025.10
true
- 基本情報
- 認証
- Swagger の定義
- Orchestrator API
- プラットフォーム管理 API
重要 :
このコンテンツの一部は機械翻訳によって処理されており、完全な翻訳を保証するものではありません。
新しいコンテンツの翻訳は、およそ 1 ~ 2 週間で公開されます。

Orchestrator API ガイド
最終更新日時 2026年3月24日
ユーザーを削除する
ユーザー ID に基づいて、組織から複数のユーザーを削除します。
API エンドポイント
DELETE https://{yourDomain}/identity/api/User
スコープ
次のスコープが必要です。
- PM.User
- PM.User.Write
要求ヘッダー
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
注:
{access_token}を取得するには、必ずこちらで説明するいずれかの方法で認証を行ってください。
パス パラメーター
| パス パラメーター | データ型 | 説明 |
|---|---|---|
partitionGlobalId (必須) | 文字列 | ロボット アカウントを取得する対象の組織の ID です。 |
要求本文
要求本文には、組織から一括削除するユーザー ID のリストが含まれます。
{
"partitionGlobalId": "string",
"userIds": [
"string"
]
}
{
"partitionGlobalId": "string",
"userIds": [
"string"
]
}
応答
204 Success
指定したロボット アカウントが組織から削除されます。
要求の例
API 呼び出しの構築に必要な情報をすべて収集したとします。
{baseURL}は https://{yourDomain}/identity です。{access_token}は1234です (長さを考慮)。{partitionGlobalId}は3fa85f64-5717-4562-b3fc-2c963f66afa6です。- 削除するユーザーの ID は次のとおりです。
- Dolores Umbridge:
dol-2908 - Quirinus Quirrell:
qui-2609
- Dolores Umbridge:
呼び出しは次の例のようになります (cURL)。
curl --location --request DELETE 'https://{yourDomain}/identity/api/User' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
--data-raw '{
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"userIds": [
"dol-2908", "qui-2609"
]
}'
curl --location --request DELETE 'https://{yourDomain}/identity/api/User' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
--data-raw '{
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"userIds": [
"dol-2908", "qui-2609"
]
}'